import java.text.SimpleDateFormat
import java.util.{Calendar, Date}



object TestFunc {
  def getNowDate():String= {
    var now: Date = new Date()
    var dateFormat: SimpleDateFormat = new SimpleDateFormat("yyyy-MM-dd")
    var hehe = dateFormat.format(now)
    hehe
  }

  def getMinusNDate(n: Int):String={
    var  dateFormat:SimpleDateFormat = new SimpleDateFormat("yyyy-MM-dd")
    var cal:Calendar=Calendar.getInstance()
    cal.add(Calendar.DATE,-n)
    var yesterday=dateFormat.format(cal.getTime())
    yesterday
  }


  def main(args: Array[String]) {

    println("现在时间："+getNowDate())
    println("一周之前时间："+getMinusNDate(8))

  }

  }
